| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
fontpicker.h File Reference

## Classes

class | wxFontPickerCtrl
| This control allows the user to select a font. More...
class | wxFontPickerEvent
| This event class is used for the events generated by wxFontPickerCtrl. More...

## Macros

#define | wxFNTP_FONTDESC_AS_LABEL 0x0008
#define | wxFNTP_USEFONT_FOR_LABEL 0x0010
#define | wxFONTBTN_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL | wxFNTP_USEFONT_FOR_LABEL)
#define | wxFNTP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)
#define | wxFNTP_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL|wxFNTP_USEFONT_FOR_LABEL)

## Variables

wxEventType | wxEVT_FONTPICKER_CHANGED

## Macro Definition Documentation

#define wxFNTP_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL|wxFNTP_USEFONT_FOR_LABEL)

#define wxFNTP_FONTDESC_AS_LABEL 0x0008

#define wxFNTP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)

#define wxFNTP_USEFONT_FOR_LABEL 0x0010

#define wxFONTBTN_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL | wxFNTP_USEFONT_FOR_LABEL)

## Variable Documentation

wxEventType wxEVT_FONTPICKER_CHANGED